PROCMETER3-LCD(1)

NAME

procmeter3-lcd - A system monitoring program with LCDproc display.

SYNOPSIS

procmeter3-lcd [-h|--help] [--rc=<filename>] [--...] [...]

DESCRIPTION

ProcMeter Displays one or more pieces of information about the operating system and other resources. Most of the information that is displayed comes from the /proc filesystem. The program is modular and very configurable.

OPTIONS

The command line options are described below.

-h  Provides a help message listing the available outputs. This will be different for different computers depending on the Linux kernel version that is being used and the hardware/software that is configured.

--rc=<filename>
    Load the specified .procmeterrc file in stead of the searching in the usual places.

--...
    A list of configuration file options that will override the values in the .procmeterrc file. The format of these options is (for example) --LCD.host=localhost which is equivalent to the entry in the .procmeterrc file of

     [LCD]
     host = localhost

    All spaces around the equal sign must be removed and if spaces are required in the value on the right hand side then quotes must be used around the entire command line option.

... A list of names of outputs that are to be displayed. This can include any of the outputs that are available (see the -h option). For the CPU usage is in a module named Statistics with an output named CPU and there are graph (-g), text (-t) and bar (-b) options. To display the CPU usage graph you would use the command line option Statistics.CPU-g

USAGE

When started the program will display on an attached LCD display using the LCDd daemon program (from http://lcdproc.omnipotent.net). The outputs that are displayed are those from the command line and those from the .procmeterrc configuration file.

MODULES

The modules that are available for procmeter3-lcd are described in the procmeter3_modules(1) manual page.

SEE ALSO

procmeterrc(5) procmeter3_modules(1)

AUTHOR

Andrew M. Bishop 1998-2007